Bug 1655136 - nut-server Fails to Start on VLAN interfaces
Summary: nut-server Fails to Start on VLAN interfaces
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 17:39 UTC by Ben Herrick
Modified: 2019-06-25 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 15:34:45 UTC


Attachments (Terms of Use)

Description Ben Herrick 2018-11-30 17:39:16 UTC
Description of problem:
The unit file for nut-server should depend on network-online.target instead of network.target. Depending on network.target will cause the nut-server.service to fail at boot when using VLAN or other interfaces that delay availability.

Version-Release number of selected component (if applicable):
nut-2.7.4-14.fc28.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure nut-server to listen on VLAN interfaces.
2. Reboot
3. Watch nut-server.service unit fail.

Actual results:
Nov 25 16:31:55 xxxxx systemd[1]: nut-server.service: Main process exited, code=exited, status=1/FAILURE
Nov 25 16:31:55 xxxxx systemd[1]: nut-server.service: Failed with result 'exit-code'.

Expected results:
Unit starts up successfully.

Additional info:
Full logs from a boot failure are below.
---
Nov 25 16:31:55 xxxxx upsdrvctl[1210]: USB communication driver 0.33
Nov 25 16:31:55 xxxxx upsdrvctl[1210]: cps_adjust_battery_scale: battery readings will be scaled by 2/3
Nov 25 16:31:55 xxxxx upsdrvctl[1210]: Network UPS Tools - UPS driver controller 2.7.4
Nov 25 16:31:55 xxxxx usbhid-ups[1237]: Startup successful
Nov 25 16:31:55 xxxxx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=nut-driver comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 25 16:31:55 xxxxx audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=nut-server comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 25 16:31:55 xxxxx upsd[1238]: fopen /var/run/nut/upsd.pid: No such file or directory
Nov 25 16:31:55 xxxxx upsd[1238]: not listening on x.x.x.x port 3493
Nov 25 16:31:55 xxxxx upsd[1238]: listening on 127.0.0.1 port 3493
Nov 25 16:31:55 xxxxx upsd[1238]: no listening interface available
Nov 25 16:31:55 xxxxx upsd[1238]: not listening on x.x.x.x port 3493
Nov 25 16:31:55 xxxxx upsd[1238]: listening on 127.0.0.1 port 3493
Nov 25 16:31:55 xxxxx upsd[1238]: no listening interface available
Nov 25 16:31:55 xxxxx upsd[1238]: Network UPS Tools upsd 2.7.4
Nov 25 16:31:55 xxxxx systemd[1]: nut-server.service: Main process exited, code=exited, status=1/FAILURE
Nov 25 16:31:55 xxxxx systemd[1]: nut-server.service: Failed with result 'exit-code'.
Nov 25 16:31:55 xxxxx systemd[1]: nut-driver.service: Unit not needed anymore. Stopping.
Nov 25 16:31:55 xxxxx audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=nut-server comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'

Comment 1 Ben Cotton 2019-05-02 19:22:46 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 20:12:25 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Michal Hlavinka 2019-06-25 15:34:45 UTC
This is configuration choice, not most usual use case. I don't want to delay nut startup, for example if your computer is the only one having UPS, but your WiFi AP/router is down and we are just delaying nut startup waiting for network that won't come up. If you want/need to start nut only after network is online, you can add systemd unit override to /etc/systemd/system/... and add this requirement


Note You need to log in before you can comment on or make changes to this bug.